package history

import "kumoly.io/kumoly/app/util"

func Error() *History {
	h := getBase()
	h.Type = ERROR
	if !PROD {
		h.Trace = util.Stack()
	}
	return h
}

func Info() *History {
	h := getBase()
	h.Type = INFO
	return h
}

func getBase() *History {
	mod, file := util.CallerMod(3)
	h := &History{
		Module: mod,
		Caller: file,
	}
	return h
}
